Module jdk.jdi
Package com.sun.jdi.connect

# Interface Transport

    public interface Transport

A method of communication between a debugger and a target VM.

A Transport represents the transport mechanism used by a `Connector` to establish a connection with a target VM. It consists of a name which is obtained by invoking the `name()` method. Furthermore, a Transport encapsulates a `TransportService` which is the underlying service used to establish connections and exchange Java Debug Wire Protocol (JDWP) packets with a target VM.

Since:
  1.3

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `name()` | Returns a short identifier for the transport.

## Method Details

### name

String name()
Returns a short identifier for the transport.

Returns:
  the name of this transport.